Subject: Re: bug#61676: package transformations not honored working from a manifest

From: Ludovic Courtès <[email-masked]>
Date: Tue, 21 Feb 2023 23:49:35 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> I was trying to simplify the Jami packaging tooling using the latest
> recursive '--with-source' transformation, like so (in a Makefile):
>
> define guix-pack-command
> guix pack -C xz -f deb -f extras/packaging/gnu-linux/guix/guix-pack-manifest.scm -v3 \
>   --with-source=libjami@$(RELEASE_VERSION)=$(RELEASE_TARBALL_FILENAME) \
>   --with-patch=libjami=extras/packaging/gnu-linux/guix/patches/jami-disable-integration-tests.patch \
>   --with-source=jami@$(RELEASE_VERSION)=$(RELEASE_TARBALL_FILENAME) \
>   -S /usr/bin/jami=bin/jami \
>   -S /usr/share/applications/jami.desktop=share/applications/jami.desktop \
>   -S /usr/share/icons/hicolor/scalable/apps/jami.svg=share/icons/hicolor/scalable/apps/jami.svg \
>   -S /usr/share/icons/hicolor/48x48/apps/jami.png=share/icons/hicolor/48x48/apps/jami.png \
>   -S /usr/share/metainfo/jami.appdata.xml=share/metainfo/jami.appdata.xml \
>   --postinst-file=extras/packaging/gnu-linux/guix/guix-pack-deb.postinst
> endef

Interesting!  :-)

> But noticed that --with-source and --with-patch were not effective for
> the jami-with-certs customized package provided by the
> guix-pack-manifest.scm manifest.

Indeed, that’s expected.

> It seems to me that the rewriting options should be honored on any
> packages being manipulated, whether they come from the Guix collection,
> a file, a manifest or another means.

I’m not convinced; I think manifests should be interpreted literally.

Incidentally, changing that would likely break existing workflows…

Ludo’.